<form [formGroup]=userForm (ngSubmit)="save(this.userForm.value)">
    
    <div class="alert" *ngIf="this.userForm.get('userEmail')?.errors?.['required'] && this.userForm.get('userEmail')?.touched">
        El email es necesario para poder continuar.
    </div>
    <div class="alert" *ngIf="this.userForm.get('userEmail')?.touched && this.userForm.get('userEmail')?.errors?.['pattern']">
        Introduzca un email válido por favor.
    </div>
    <div></div>
    <input 
        type="email" 
        id="idEmail"
        formControlName="userEmail"
        class='form-control'
        title="Escribe el correo electrónico donde quieras recibir el próximo aviso de apertura" 
        placeholder="{{ emailPlaceholder }}"
        required
    />

    <br/><br/>

    <div class="alert" *ngIf="this.userForm.get('country')?.touched && this.userForm.get('country')?.errors?.['required']">
        Por favor, seleccione un país.
    </div>
    <div></div>
    <select type="select" id="idCountry" formControlName="country" required>
        <option value="" hidden>Seleccionar país...</option>
        <option >España</option>
        <option >Francia</option>
        <option >Italia</option>
    </select>

    <br/><br/>

    <input type="checkbox" formControlName="userCheck" required>
    Quiero recibir un email cuando la tienda esté disponible 
    <div></div>
    <div class="alert" *ngIf="this.userForm.get('userCheck')?.dirty && this.userForm.get('userCheck')?.errors?.['required']">
        Es necesario que confirmes.
    </div>

    <br/><br/>

    <button id="idButton" type="submit" [disabled]="userForm.invalid">
        ¡Quiero ser la primera en comprar!
    </button>

    <br/><br/>

    <div class="confirm" id="confirmText" *ngIf="this.valid">¡Perfecto, te avisaremos la primera!</div>

</form>